Subject: Fwd: Re: [git-users] Git clone fails with "bad pack header", how to get remote log

From: kevin molcard <[email-masked]>
Date: Wed, 31 Oct 2012 15:17:33 +0100

Hi all,
I am forwarding a reply I got from a message I sent to git user mailing 
list because of a "bad pack header error" (more information below).
I will forward another email where I give all the git versions of my system.

Any clue on this would be much appreciated.

Thanks in advance
Kevin

-------- Original Message --------
Subject: 	Re: [git-users] Git clone fails with "bad pack header", how to 
get remote log
Date: 	Mon, 29 Oct 2012 21:18:54 +0400
From: 	Konstantin Khomoutov <[email-masked]>
To: 	[email-masked]
CC: 	Kevin Molcard <[email-masked]>, [email-masked]

On Mon, 29 Oct 2012 09:52:54 -0700 (PDT)
Kevin Molcard <[email-masked]> wrote:

> I have a problem with my build system.
>
> I have a remote server with a relatively large repository (around 12
> GB, each branch having a size of 3 GB).
>
> I have also 2 build servers (Mac, Windows) that are cloning the repo
> from the remote.
>
> Sometimes (very often when several git clone are sent at the same
> time), I have the following error:
>
>     remote: internal server error
>     fatal: protocol error: bad pack header
>
> I know that it happens when the remote is compressing objects (thanks
> to `--progress -v` flags) because the last line of the log before the
> erro is:
>     remote: Compressing objects:  93% (17959/19284)   [K
>
>  * So I have 2 questions, does anybody what is the problem and what
> should I do?
>  * Is there a way to get a more precise log from the remote to debug
> this problem?

This reminds me of a bug fixed in 1.7.12.1 [1]:

* When "git push" triggered the automatic gc on the receiving end, a
   message from "git prune" that said it was removing cruft leaked to
   the standard output, breaking the communication protocol.

In any case, bugs should be reported to the main Git list (which is
git at vger.kernel.org), not here.
I'm Cc'ing the main Git list so you'll get any responses from there, if
any.

Kevin, please answer to this message (keeping all the Ccs -- use "Reply
to group" or "Reply to all" in your MUA) and describe exactly what Git
versions on which platforms your have.

1. https://raw.github.com/git/git/master/Documentation/RelNotes/1.7.12.1.txt